petsc-3.4.2 2013-07-02

# SNESFASCycleGetRestriction

Gets the restriction on this level

### Synopsis

    #include "petscsnesfas.h"
    PetscErrorCode SNESFASCycleGetRestriction(SNES snes, Mat *mat)

Logically Collective on SNES

### Input Parameters

snes -the multigrid context

### Output Parameters

mat -the restriction operator on this level

### Keywords

SNES, FAS, get, smoother, multigrid

### See Also

SNESFASGetRestriction(), SNESFASCycleGetInterpolation()

Level:developer
Location:src/snes/impls/fas/fasfunc.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages